
@ECHO OFF
@title "LEM218 Firmware Flashing"

FOR %%F IN (*.hex) DO (
 set filename=%%F
 goto :begin
)
:begin
ECHO "We will be installing firmware file: %filename%"

ECHO "==Begin Buchla 218 Firmware Flashing=="

dfu-programmer at32uc3b1256 erase --force

dfu-programmer at32uc3b1256 flash --suppress-bootloader-mem %filename%

set /P c=Press Y to Restart the 218e (Y/N)
cls
if /I "%c%" EQU "Y" goto :Passed3
if /I "%c%" EQU "N" goto :Failed
cls

:Passed3
dfu-programmer at32uc3b1256 start

ECHO "==Flashing ended=="


:Failed
ECHO "==Flashing Ended By User=="

:Exit
ECHO "==Flashing Complete=="
